%define libmsexport %mklibname msexport 1
%define libnamegrass %mklibname %{name}grass 0
%define libqgis %mklibname qgis 0
%define grass grass64
# Doesnt build with -j16, does with -j12 or lower, we choose -j8
%global make %(cpus=%_smp_mflags;if [ "${cpus##-j}" -gt 8 ];then echo make -j8;else echo make $cpus;fi)

%define _requires_exceptions .*libgrass_.*

Name:           qgis
Version:        1.6.0
Release:        %mkrel 3
Summary:        Geographic Information System for Linux/Unix
Group:          Sciences/Geosciences
URL:            http://www.qgis.org/
Source:         http://qgis.org/downloads/%{name}-%{version}.tar.bz2
Patch0:         qgis-1.6.0-sip.patch
License:        GPLv2+

Obsoletes:      %{libqgis}
Obsoletes:      %{libmsexport}
Requires:       python-biopython-sql
Requires:       postgis

BuildRequires:  cmake
BuildRequires:  grass 
BuildRequires:  gdal-devel 
BuildRequires:  geos-devel
BuildRequires:  proj-devel
BuildRequires:  expat-devel
BuildRequires:  gsl-devel
BuildRequires:  cfitsio-devel 
BuildRequires:  imagemagick
BuildRequires:  flex 
BuildRequires:  bison
BuildRequires:  mlocate
BuildRequires:  postgresql-devel
BuildRequires:  postgis
BuildRequires:  netcdf-devel
BuildRequires:  qt4-devel 
BuildRequires:  qt4-linguist
BuildRequires:  python-sip
BuildRequires:  python-qt4-devel
BuildRequires:  python-biopython-sql
BuildRequires:  imagemagick
BuildRequires:  dos2unix
BuildRequires:  python-devel
BuildRequires:  libqwt-devel
BuildRequires:  libfcgi-devel

%description
Quantum GIS (QGIS) is designed to be a Geographic Information System (GIS) 
built for Linux/Unix. QGIS will offer support for vector and raster formats. 
Currently QGIS supports shapefiles and PostgreSQL/PostGIS layers.  

Planned features include:

    * Read and edit shapefiles
    * Display georeferenced rasters (tiff, png, geotiff)
    * Plugins to dynamically add new functionality to the application
    * Support for database tables
    * Support for spatially enabled tables in PostgreSQL using PostGIS
    * Map output
    * Script engine
    * Metadata support

%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_bindir}/%{name}_help
%{_libdir}/lib%{name}_*.so.*
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_libdir}/%{name}/admin.sld
%{_libdir}/%{name}/qgis_mapserv.fcgi
%{_libdir}/%{name}/wms_metadata.xml
%{_datadir}/%{name}/doc
%{_datadir}/applications/%{_real_vendor}-%{name}.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/i18n
%{_datadir}/%{name}/images
%{_datadir}/%{name}/resources
%{_datadir}/%{name}/svg
%{_datadir}/%{name}/themes
%{_mandir}/man1/*
%exclude %{_datadir}/%{name}/themes/default/grass
%exclude %{_datadir}/%{name}/themes/classic/grass
%exclude %{_datadir}/%{name}/themes/gis
%{_iconsdir}/hicolor/*/apps/*
%doc AUTHORS BUGS ChangeLog README TODO

#---------------------------------------------------------

%package devel
Summary: Development libraries and headers for QGIS
Group: Sciences/Geosciences
Requires: qgis
Obsoletes: %{_lib}qgis-devel
Conflicts: qgis < 0.11.0
Conflicts: qgiss-grass < 0.11.0
%description devel
Development headers for QGIS

%files devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/lib%{name}_*.so
%{_libdir}/libqgisgrass.so
%{_libdir}/libqgispython.so

#---------------------------------------------------------

%package grass
Summary: QGIS plugins for accessing GRASS data
Group: Sciences/Geosciences
Obsoletes: %{libnamegrass}
Requires: grass
Conflicts: qgis < 0.11.0

%description grass
This package provides plugins for QGIS that provide access to GRASS data from
within QGIS.

%files grass
%defattr(-,root,root)
%{_libdir}/libqgisgrass.so.*
%{_libdir}/%{name}/libgrass*.so
%{_libdir}/%{name}/grass
%{_datadir}/%{name}/grass
%{_datadir}/%{name}/themes/default/grass
%{_datadir}/%{name}/themes/classic/grass

#---------------------------------------------------------

%package python
Summary: Python integration and plugins for qgis
Group: Sciences/Geosciences
Requires: %{name} = %{version}-%{release}
Requires: python-sip
Requires: python-qt4
Conflicts: qgis < 0.11.0

%description python
Python integration and plugins for qgis

%files python
%defattr(-,root,root)
%{_libdir}/libqgispython.so.*
%{_datadir}/%{name}/python

#---------------------------------------------------------

%package theme-gis
Summary: Addtional theme for qgis - gis
Group: Sciences/Geosciences
Requires: %{name} = %{version}-%{release}
Conflicts: qgis < 1.0.0-3

%description theme-gis
Addtional theme for qgis - gis

%files theme-gis
%defattr(-, root, root, -)
%{_datadir}/%{name}/themes/gis

#---------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .sip

%build
%cmake_qt4 \
	-DQGIS_LIB_SUBDIR=%{_lib} \
	-DQGIS_PLUGIN_SUBDIR=%{_lib}/qgis \
	-DQGIS_CGIBIN_SUBDIR=%{_lib}/qgis \
	-DGRASS_PREFIX=%{_libdir}/%{grass}

make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

mv %{buildroot}/%{_prefix}/man %{buildroot}/%{_datadir}

mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{_real_vendor}-%{name}.desktop << EOF
[Desktop Entry]
Name=Quantum GIS
Comment=Quantum Geographic Information System
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Science;Geoscience;Qt;
EOF

# icon
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
for i in 16 32 48; do
    convert -scale $i %{buildroot}%{_datadir}/%{name}/doc/images/qgis_new_80pct.png \
    %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/%{name}.png
done

%clean
rm -rf %{buildroot}


%changelog
* Tue Apr 26 2011 obgr_seneca <obgr_seneca> 1.6.0-3.mga1
+ Revision: 91713
- rebuild aginst new libgdal 1.8.0
- fixed naming of desktop file

* Fri Apr 01 2011 ahmad <ahmad> 1.6.0-1.mga1
+ Revision: 79724
- update to 1.6.0
- drop patch0 and use an alternative patch from Fedora for 1.6.0
- adapt to the biopython package rename
- build with postgresql-devel 9.0
- add BR libqwt-devel, libfcgi-devel
- build wwith QGIS_CGIBIN_SUBDIR=%%{_lib}/qgis

  + ennael <ennael>
    - clean spec file

  + dmorgan <dmorgan>
    - Remove mdv macros
      Replace mandriva by %%real_vendor
    - imported package qgis


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.5.0-3mdv2011.0
+ Revision: 591888
- rebuild for python 2.7
- rebuild for python 2.7

* Wed Sep 01 2010 Funda Wang <fwang@mandriva.org> 1.5.0-1mdv2011.0
+ Revision: 575148
- new version 1.5.0

* Wed Mar 17 2010 Funda Wang <fwang@mandriva.org> 1.4.0-1mdv2010.1
+ Revision: 522877
- fix sip >= 4.10
- no more nkids theme
- force 8.4
- New version 1.4.0

  + Buchan Milne <bgmilne@mandriva.org>
    - Fix build on hosts with more than 12 (e.g. 16) CPUs
    - Conditionally dos2unix DOS format files (on 2010.0 and later, patch 2.5.9 needs it,
      while patch 2.6 doesnt allow it)

* Tue Dec 22 2009 Buchan Milne <bgmilne@mandriva.org> 1.3.0-1mdv2010.1
+ Revision: 481336
- New version 1.3.0
- Patch for sip-4.9 (from qgis ticket 1959)

* Thu Aug 06 2009 Funda Wang <fwang@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 410746
- new version 1.0.2

* Mon Mar 23 2009 Funda Wang <fwang@mandriva.org> 1.0.1-2mdv2009.1
+ Revision: 360600
- New version 1.0.1-2

* Sun Mar 22 2009 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2009.1
+ Revision: 360110
- new version 1.0.1

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 1.0.0-3mdv2009.1
+ Revision: 334191
- split out gis theme
- set cxx flags

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 1.0.0-2mdv2009.1
+ Revision: 334181
- fix menu item

* Tue Jan 27 2009 Funda Wang <fwang@mandriva.org> 1.0.0-1mdv2009.1
+ Revision: 334036
- add patches
- New version 1.0.0
- rebuild for new python

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Thu Aug 28 2008 Frederik Himpe <fhimpe@mandriva.org> 0.11.0-1mdv2009.0
+ Revision: 276989
- Really fix desktop file, define grass macro
- Add desktop icon
- SPEC style fixes
- Update to new version 0.11
- Put python and nkids theme in separate packages
- Fix file lists (sync with Fedora)
- Fix exec command in desktop file so qgis can be started
  from the menus
- Use freedesktop.org menu categories in desktop file
- Adapt to license policy

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 0.9.1-3mdv2008.1
+ Revision: 171072
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Wed Feb 13 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-2mdv2008.1
+ Revision: 167055
- Added build requires and requires.
  Thanks to Francisco Alcaraz Ariza that debigged and tested package

* Fri Feb 08 2008 Helio Chissini de Castro <helio@mandriva.com> 0.9.1-1mdv2008.1
+ Revision: 164239
- Major update of QGis spec related to major QGis changes, including cmake and plugin changes
- old libraries are obsoleted thanks to new Qt plugin system
- grass plugin now is fully working, but a update of our grass package will be come soon
- Update for current qgis 0.9.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Aug 21 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 68288
- Drop msexport for now

  + Helio Chissini de Castro <helio@mandriva.com>
    - New upstream version
    - Changed spec layout
    - Added correct python requires

* Tue May 08 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.8.0-6mdv2008.0
+ Revision: 25067
- Rebuild with new libjasper.
- Added patch to fix build with qt 4.3.x (qt4.3_buildfix).


* Mon Mar 26 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.0-5mdv2007.1
+ Revision: 148764
- Dont ship devel files in grass plugin, and filter libqgsprojectionselector
 requires - fixes bug #29734

* Thu Mar 15 2007 Buchan Milne <bgmilne@mandriva.org> 0.8.0-4mdv2007.1
+ Revision: 144309
- Correct fix for grass lib location on x86_64 (which survives make running
 configure again)
- Buildrequires
- Buildrequire flex
- Add missung (but mostly unused) python patch
- New version 0.8.0

* Fri Sep 01 2006 Buchan Milne <bgmilne@mandriva.org> 0.7.4-1mdv2007.0
+ Revision: 59063
- Import qgis

* Fri Sep 01 2006 Buchan Milne <bgmilne@staff.telkomsa.net> 0.7.4-1mdv2007.0
- 0.7.4
- add/split grass plugin
- fix build on x86_64
- xdg menu
- filter out grass devel requires which arent provided by anything

* Thu May 12 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-3mdk
- Rebuild for postgresql-devel 8.0.2

* Sat Apr 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-2mdk
- add postgis patch (thanks Servio Tulio Pires Amarante)

* Fri Apr 08 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.6.0-1mdk
- 0.6.0
- build for grass6

* Wed Oct 06 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.5.0-1mdk
- 0.5.0
- set GISBASE in menu as well (make grass support work out-the-box)
- fix libtool file

* Wed Sep 08 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.0-2mdk
- add menu, fix files lists, remove empty files, fix all packaging bugs
- introduce to contrib

* Mon Jul 05 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.4.0-1mdk
- 0.4.0

* Mon Jun 21 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.3.0-1mdk
- First Mandrake package

